Bug 885868 - [abrt] xscreensaver-gl-extras-5.20-3.fc18: nouveau_resource_map_offset: Process /usr/libexec/xscreensaver/glhanoi was killed by signal 11 (SIGSEGV)
Summary: [abrt] xscreensaver-gl-extras-5.20-3.fc18: nouveau_resource_map_offset: Proce...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0e36e4338d6bb22736857ac80be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 20:48 UTC by M. Edward (Ed) Borasky
Modified: 2014-02-05 13:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:45:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.40 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: build_ids (1.36 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: core_backtrace (1.21 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: dso_list (2.83 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: environ (3.20 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: maps (14.89 KB, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: open_fds (186 bytes, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details
File: var_log_messages (323 bytes, text/plain)
2012-12-10 20:48 UTC, M. Edward (Ed) Borasky
no flags Details

Description M. Edward (Ed) Borasky 2012-12-10 20:48:03 UTC
Description of problem:
Running xscreensaver with random screensavers switched every minute. Occasionally one crashes

Version-Release number of selected component:
xscreensaver-gl-extras-5.20-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        glhanoi -root
crash_function: nouveau_resource_map_offset
executable:     /usr/libexec/xscreensaver/glhanoi
kernel:         3.6.9-4.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 nouveau_resource_map_offset at nouveau_buffer.c:318
 #1 nv30_emit_vtxattr at nv30_vbo.c:46
 #2 nv30_vbo_validate at nv30_vbo.c:232
 #3 nv30_state_validate at nv30_state_validate.c:487
 #4 nv30_clear at nv30_clear.c:61
 #5 st_Clear at ../../src/mesa/state_tracker/st_cb_clear.c:548
 #6 draw_glhanoi at ../../../hacks/glx/glhanoi.c:1962
 #7 xlockmore_draw at ../../../hacks/xlockmore.c:497
 #8 run_screenhack_table at ../../hacks/screenhack.c:553

Comment 1 M. Edward (Ed) Borasky 2012-12-10 20:48:06 UTC
Created attachment 661118 [details]
File: backtrace

Comment 2 M. Edward (Ed) Borasky 2012-12-10 20:48:07 UTC
Created attachment 661119 [details]
File: build_ids

Comment 3 M. Edward (Ed) Borasky 2012-12-10 20:48:12 UTC
Created attachment 661120 [details]
File: cgroup

Comment 4 M. Edward (Ed) Borasky 2012-12-10 20:48:14 UTC
Created attachment 661121 [details]
File: core_backtrace

Comment 5 M. Edward (Ed) Borasky 2012-12-10 20:48:15 UTC
Created attachment 661122 [details]
File: dso_list

Comment 6 M. Edward (Ed) Borasky 2012-12-10 20:48:17 UTC
Created attachment 661123 [details]
File: environ

Comment 7 M. Edward (Ed) Borasky 2012-12-10 20:48:18 UTC
Created attachment 661124 [details]
File: limits

Comment 8 M. Edward (Ed) Borasky 2012-12-10 20:48:20 UTC
Created attachment 661125 [details]
File: maps

Comment 9 M. Edward (Ed) Borasky 2012-12-10 20:48:21 UTC
Created attachment 661126 [details]
File: open_fds

Comment 10 M. Edward (Ed) Borasky 2012-12-10 20:48:23 UTC
Created attachment 661127 [details]
File: proc_pid_status

Comment 11 M. Edward (Ed) Borasky 2012-12-10 20:48:24 UTC
Created attachment 661128 [details]
File: var_log_messages

Comment 12 Mamoru TASAKA 2012-12-11 04:28:20 UTC
Once asking mesa maintainer for help.

Comment 13 Fedora End Of Life 2013-12-21 09:50:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2014-02-05 13:45:52 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.